Opened 2 years ago

Closed 2 years ago

#5433 closed change (fixed)

Allow to specify external prebuilt v8 while compiling libadblockplus

Reported by: sergz Assignee: sergz
Priority: P2 Milestone:
Module: Libadblockplus Keywords:
Cc: Blocked By:
Blocking: #5133 Platform: Unknown / Cross platform
Ready: no Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

https://codereview.adblockplus.org/29493555/
https://codereview.adblockplus.org/29493562/
https://codereview.adblockplus.org/29493566/

Description

Background

In order to simply usage of another version of v8 in third-party products and to make CI available again and reduce compilation time we need a way to specify already prebuilt v8.

What to change

  • [refactoring] rename v8.gypi to build-v8.gypi because v8.gypi is used only for building of v8 and now there is a need in a v8.gypi which is included by libadblockplus.gyp.
  • [refactoring] move most of v8 related configuration from libadblockplus.gyp into v8.gypi
  • change v8.gypi and Makefile in order to achieve the aim of the ticket.

Change History (6)

comment:1 Changed 2 years ago by sergz

  • Review URL(s) modified (diff)

comment:2 Changed 2 years ago by sergz

  • Review URL(s) modified (diff)

comment:3 Changed 2 years ago by sergz

  • Review URL(s) modified (diff)

comment:4 Changed 2 years ago by sergz

  • Status changed from new to reviewing

comment:6 Changed 2 years ago by sergz

  • Resolution set to fixed
  • Status changed from reviewing to closed
Note: See TracTickets for help on using tickets.